tigase.jaxmpp.core.client.xmpp.modules.streammng

## Class StreamManagementModule.MutableLong

- java.lang.Object
- - java.lang.Number
  - - tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.MutableLong

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    StreamManagementModule

      public static class StreamManagementModule.MutableLong
      extends Number

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableLong()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `doubleValue()`
    `float` | `floatValue()`
    `int` | `intValue()`
    `long` | `longValue()`
    `void` | `setValue(long value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableLong

          public MutableLong()

  - ### Method Detail

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `Number`

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `Number`

    - #### setValue

          public void setValue(long value)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.